Apple updates AirPort Base Station software for Mac and PC

Posted:
in Mac Software edited January 2014
Apple on Thursday evening released a software update for its AirPort wireless base stations that offers general fixes and compatibility updates.



The release, labeled AirPort Base Station Update 2007-001, was made available separately for both Mac and Windows users.



A 12.7MB updater for Mac users includes changes to AirPort Utility, AirPort Disk Utility, AirPort Disk Agent and AirPort Admin Utility for Graphite and Snow Base Stations.



Meanwhile, a 5.0MB updater for Windows XP SP2 and Windows Vista users offers improvements to AirPort Utility AirPort Disk Agent, and AirPort Disks Control Panel.



In the release notes accompanying the update, Apple noted that only previously installed software from those AirPort utilities mentioned above will be updated.



AirPort Utility v5.1 software for Windows and Mac OS X 10.4.x supports the AirPort Extreme Base Station with 802.11n, AirPort Extreme Base Station and AirPort Express Base Station.

Comments

  • Reply 1 of 8
    rg_spbrg_spb Posts: 21member
    Very confusing. It says the update is for "- AirPort Admin Utility for Graphite and Snow Base Stations". I've got both, but when i try to install this update it tells me "You cannot install AirPort Base Station Update 2007-001 on this volume. This update requires AirPort Utility 5.0 to be installed." OK, so i go to Software Update and it tells me all my sw is up to date! So which is it? I can't install this current update until i install AirPort Utility 5.0, but i can't find that installer!
  • Reply 2 of 8
    Maybe this time, Apple will actually post the Windows versions of these utilities in a place on thier website where a normal person can find them.

    I mean, if I can't find the Airport Utility for Windows on Apple's website...that's bad.
  • Reply 3 of 8
    messiahmessiah Posts: 1,689member
    I wonder if this update will fix the file corruption issue when saving a file directly to an AirPort Disk?



    I'll need to try it when I get back home...
  • Reply 4 of 8
    parkyparky Posts: 383member
    This only appears to be for owners of the new 'N' Airport Extreme Basestation. It does not let you install the update unless you have the Airport Utility 5.0 software which only comes with the new units.



    No use to anyone with older Airport Express or Airport Extreme Basestations.



    Ian
  • Reply 5 of 8
    porchlandporchland Posts: 478member
    Makes me wonder if we're about to get HD content in iTunes for Apple TV -- with an announcement that it only works if you have the new n base station. Booo!!
  • Reply 6 of 8
    kedakeda Posts: 722member
    Quote:
    Originally Posted by rg_spb View Post


    Very confusing. It says the update is for "- AirPort Admin Utility for Graphite and Snow Base Stations". I've got both, but when i try to install this update it tells me "You cannot install AirPort Base Station Update 2007-001 on this volume. This update requires AirPort Utility 5.0 to be installed." OK, so i go to Software Update and it tells me all my sw is up to date! So which is it? I can't install this current update until i install AirPort Utility 5.0, but i can't find that installer!



    Same experience here.



    Any thoughts?
  • Reply 7 of 8
    kedakeda Posts: 722member
    http://www.xlr8yourmac.com/



    XLR8yourmac has a work around. Basically, you view package contents, and work manually from there to extract the AirPort Utility. After I did this, I ran the installer, and everything seemed to perform as expected.



    The new interface is great!
  • Reply 8 of 8
    bbhbbh Posts: 65member
    Quote:
    Originally Posted by Keda View Post


    http://www.xlr8yourmac.com/



    XLR8yourmac has a work around. Basically, you view package contents, and work manually from there to extract the AirPort Utility. After I did this, I ran the installer, and everything seemed to perform as expected.



    The new interface is great!





    MacFixit also has a tutorial for extracting the required files from the Installer. Use Pacifist, remove the APAdminUtility425.pkg from the AirPortBaseStationUpdate2007001.dmg image, then install the "425" file normally. Works like a charm.



    It remains to be seen, however, if this fixes the dropouts/dropoffs I have been having with the MBP c2d.
Sign In or Register to comment.